Package com.pixelmed.dicom

# Class HierarchicalImageReference

java.lang.Object
com.pixelmed.dicom.HierarchicalSOPInstanceReference
com.pixelmed.dicom.HierarchicalImageReference

public class HierarchicalImageReference extends HierarchicalSOPInstanceReference

A class to represent the study, series and instance identifiers necessary to retrieve a specific single image or frame in a multi-frame image using the hierarchical model.

Used, for example, when extracting a map of instance uids to hierarchical references from an SR evidence sequence.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`referencedFrameNumber`

### Fields inherited from class com.pixelmed.dicom.HierarchicalSOPInstanceReference

`seriesInstanceUID, sopClassUID, sopInstanceUID, studyInstanceUID`

## Constructor Summary

Constructors
Constructor
Description
`HierarchicalImageReference(HierarchicalSOPInstanceReference instanceReference)`
Construct an instance of a reference to an image, with its hierarchy.
`HierarchicalImageReference(HierarchicalSOPInstanceReference instanceReference, String referencedFrameNumber)`
Construct an instance of a reference to an image, with its hierarchy.
`HierarchicalImageReference(String studyInstanceUID, String seriesInstanceUID, String sopInstanceUID, String sopClassUID)`
Construct an instance of a reference to an image, with its hierarchy.
`HierarchicalImageReference(String studyInstanceUID, String seriesInstanceUID, String sopInstanceUID, String sopClassUID, String referencedFrameNumber)`
Construct an instance of a reference to an image, with its hierarchy.

## Method Summary

Modifier and Type
Method
Description
`String`
`getReferencedFrameNumber()`
Get the Referenced Frame Number.
`String`
`toString()`

### Methods inherited from class com.pixelmed.dicom.HierarchicalSOPInstanceReference

`addToHierarchicalReferencesToSOPInstances, findHierarchicalReferencesToSOPInstances, findHierarchicalReferencesToSOPInstancesInStructuredReport, getSeriesInstanceUID, getSOPClassUID, getSOPInstanceUID, getStudyInstanceUID, main, toString`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### referencedFrameNumber

protected String referencedFrameNumber

## Constructor Details

### HierarchicalImageReference

public HierarchicalImageReference(String studyInstanceUID, String seriesInstanceUID, String sopInstanceUID, String sopClassUID)

Construct an instance of a reference to an image, with its hierarchy.

Parameters:
  `studyInstanceUID` - the Study Instance UID
  `seriesInstanceUID` - the Series Instance UID
  `sopInstanceUID` - the SOP Instance UID
  `sopClassUID` - the SOP Class UID

### HierarchicalImageReference

public HierarchicalImageReference(String studyInstanceUID, String seriesInstanceUID, String sopInstanceUID, String sopClassUID, String referencedFrameNumber)

Construct an instance of a reference to an image, with its hierarchy.

Parameters:
  `studyInstanceUID` - the Study Instance UID
  `seriesInstanceUID` - the Series Instance UID
  `sopInstanceUID` - the SOP Instance UID
  `sopClassUID` - the SOP Class UID
  `referencedFrameNumber` - the Referenced Frame Number

### HierarchicalImageReference

public HierarchicalImageReference(HierarchicalSOPInstanceReference instanceReference, String referencedFrameNumber)

Construct an instance of a reference to an image, with its hierarchy.

Parameters:
  `instanceReference` - an existing `HierarchicalSOPInstanceReference` for this image
  `referencedFrameNumber` - the Referenced Frame Number

### HierarchicalImageReference

public HierarchicalImageReference(HierarchicalSOPInstanceReference instanceReference)

Construct an instance of a reference to an image, with its hierarchy.

Parameters:
  `instanceReference` - an existing `HierarchicalSOPInstanceReference` for this image

## Method Details

### getReferencedFrameNumber

public String getReferencedFrameNumber()

Get the Referenced Frame Number.

Returns:
  the Referenced Frame Number, or null

### toString

public String toString()

Overrides:
  `toString` in class `HierarchicalSOPInstanceReference`